Package org.springframework.jdbc.datasource.embedded

# Enum Class EmbeddedDatabaseType

java.lang.Object
java.lang.Enum<EmbeddedDatabaseType>
org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseType

All Implemented Interfaces:
  `Serializable`, `Comparable<EmbeddedDatabaseType>`, `Constable`

public enum EmbeddedDatabaseType extends Enum<EmbeddedDatabaseType>
A supported embedded database type.

Since:
  3.0
Author:
  Keith Donald, Oliver Gierke

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DERBY`
The Apache Derby Embedded SQL Database.
`H2`
The H2 Embedded Java SQL Database Engine.
`HSQL`
The Hypersonic Embedded Java SQL Database.

## Method Summary

Modifier and Type
Method
Description
`static EmbeddedDatabaseType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EmbeddedDatabaseType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HSQL

public static final EmbeddedDatabaseType HSQL
The Hypersonic Embedded Java SQL Database.

### H2

public static final EmbeddedDatabaseType H2
The H2 Embedded Java SQL Database Engine.

### DERBY

public static final EmbeddedDatabaseType DERBY
The Apache Derby Embedded SQL Database.

## Method Details

### values

public static EmbeddedDatabaseType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EmbeddedDatabaseType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null